Bug 1075860 (CVE-2014-0467) - CVE-2014-0467 mutt: heap-based buffer overflow when parsing certain headers
Summary: CVE-2014-0467 mutt: heap-based buffer overflow when parsing certain headers
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0467
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1075862 1075866 1075872 1075873
Blocks: 1075863
TreeView+ depends on / blocked
 
Reported: 2014-03-13 04:14 UTC by Murray McAllister
Modified: 2019-09-29 13:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 19:32:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0304 normal SHIPPED_LIVE Important: mutt security update 2014-03-17 21:32:37 UTC

Description Murray McAllister 2014-03-13 04:14:11 UTC
The Debian DSA-2874-1 security advisory (http://www.debian.org/security/2014/dsa-2874) corrected an overflow in the mutt mail reader. Analysis of the crash reveals this is likely a heap-based buffer overflow in the mutt_copy_hdr() function. Opening a specially-crafted mail message could cause mutt to crash or, potentially, execute arbitrary code. The fix looks to be as follows:

+diff -r 3d5e23a66a1a -r 9bf7593e3c08 copy.c
+--- a/copy.c   Thu Oct 24 09:55:36 2013 -0700
++++ b/copy.c   Tue Mar 11 09:40:09 2014 -0700
+@@ -254,6 +254,7 @@
+     {
+       if (!address_header_decode (&this_one))
+       rfc2047_decode (&this_one);
++      this_one_len = mutt_strlen (this_one);
+     }
+     
+     if (!headers[x])
+

(Note as this is copied from the Debian diff, it is actually a one line change of "this_one_len = mutt_strlen (this_one);")

From brief testing on Red Hat Enterprise Linux 6, the message's headers had to be viewed (via the "h" command) in order to trigger the issue.

Original report: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=708731

Comment 2 Murray McAllister 2014-03-13 04:18:21 UTC
Created mutt tracking bugs for this issue:

Affects: fedora-all [bug 1075862]

Comment 6 Murray McAllister 2014-03-14 01:37:46 UTC
This was fixed in the upstream 1.5.23 release: ftp://ftp.mutt.org/mutt/diff-1.5.22-1.5.23.gz

Comment 7 errata-xmlrpc 2014-03-17 17:33:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0304 https://rhn.redhat.com/errata/RHSA-2014-0304.html

Comment 9 Huzaifa S. Sidhpurwala 2014-03-19 04:31:39 UTC
Statement:

This issue does not affect the version of mutt package as shipped with Red Hat Enterprise Linux 5.

Comment 10 Fedora Update System 2014-05-06 21:33:25 UTC
mutt-1.5.23-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-05-18 22:55:57 UTC
mutt-1.5.23-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-05-25 23:28:36 UTC
mutt-1.5.23-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.